> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/component/setvalue.md).

# setValue

## Description

Allows users to set a value to a component.

## Input / Parameter

| Name        | Description                                        | Input Type  | Default | Options | Required                       |
| ----------- | -------------------------------------------------- | ----------- | ------- | ------- | ------------------------------ |
| component   | The name of the component.                         | String/Text | -       | -       | Yes, if componentId is not set |
| componentId | The component ID (for components in FlatList item) | String/Text | -       | -       | Yes, if component is not set   |
| value       | The value to be set for the component.             | String/Text | -       | -       | Yes                            |

## Output

Note: The component will be updated to show the value that has been set to it.

## Example

In this example, we will set the value of a text input component, where once it is clicked the value of the text input component will change to say "This is the Input Box!"

### Steps

1. First, we drag a button and a text input onto the canvas.
2. Select the button and under the 'Actions' tab, drag the `Component.setValue` into the flow for the button.

   ![](/files/qfbZO8EmQlqkNarEXZ3F)
3. Under the inspector for this function, select the component whose value you would be changing, which in this example is `InputBox`.
4. Enter the new value to display.

   ![](/files/5GGC9NykDmozs32TdCYp)

### Result

1. Save and preview your app.
2. Now when you click the button, it will set the component value of InputBox to 'This is the Input Box!'

   ![](/files/F2aKftHHLQXlp5v2hZvW)

## Links

### Related Information

See also:

* Functions
  * [Component.getValue](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/gitbook/2-5-actions-and-visual-logic/action-reference/react-native/Component/getValue/getValue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/component/setvalue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
